<?php
/**
 * WPSight legacy functions
 *
 * @package WPSight \ Functions
 */

/**
 *	wpsight_standard_details()
 *
 *	Keep old function in mind
 *	and match to new one.
 *	
 *	@since 1.0.0
 */
function wpsight_standard_details() {
	return wpsight_details();
}

/**
 *	wpsight_get_measurement_units()
 *
 *	Keep old function in mind
 *	and match to new one.
 *	
 *	@since 1.0.0
 */
function wpsight_get_measurement_units( $measurment ) {
	return wpsight_get_measurement( $measurment );
}

/**
 *	wpsight_get_standard_detail()
 *
 *	Keep old function in mind
 *	and match to new one.
 *	
 *	@since 1.0.0
 */
function wpsight_get_standard_detail( $detail ) {	
	return wpsight_get_detail( $detail );
}

/**
 *	wpsight_listing_statuses()
 *
 *	Keep old function in mind
 *	and match to new one.
 *	
 *	@since 1.0.0
 */
function wpsight_listing_statuses() {
	return wpsight_offers();
}

/**
 *	wpsight_get_listing_status()
 *
 *	Keep old function in mind
 *	and match to new one.
 *	
 *	@since 1.0.0
 */
function wpsight_get_listing_status( $status ) {
	return wpsight_get_offer( $status );
}

/**
 *	wpsight_unregister_post_type()
 *
 *	Helper function to unregister
 *	the listing post type.
 *	
 *	@since 1.0.0
 */
if ( ! function_exists( 'wpsight_unregister_post_type' ) ) {

	function wpsight_unregister_post_type( $post_type ) {
		
		global $wp_post_types;
		
		if ( isset( $wp_post_types[ $post_type ] ) ) {
			unset( $wp_post_types[ $post_type ] );
			return true;
		}
		
		return false;

	}

}

/**
 *	wpsight_unregister_taxonomy()
 *
 *	Helper function to unregister
 *	specific taxonomies.
 *	
 *	@since 1.0.0
 */
if ( ! function_exists( 'wpsight_unregister_taxonomy' ) ) {

	function wpsight_unregister_taxonomy( $taxonomy ) {
		global $wp_taxonomies;

		if ( taxonomy_exists( $taxonomy ) )
			unset( $wp_taxonomies[ $taxonomy] );

	}

}
